Redmine - Feature #3265

Filter on issue relations
2009-04-29 22:47 - Brad Beattie

Status: Closed Start date: 2009-04-29
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 2.2.0

Resolution: Fixed

Description

It'd be nice if Redmine's issue filters included some notion of issue relations. That way you could build a query like so:

)

Status is open

Assigned to me

Start is less than 0 days ago
Has no blocking issues
Has no preceeding issues

Doesn't look trivial, but shouldn't be too difficult. Looking into it now...

Related issues:

Related to Redmine - Feature #10422: Ability to filter by and view columns re... Closed

Related to Redmine - Defect #32546: Issue relations filter lacks "is not" Closed

Related to Redmine - Feature #33352: Enable inline issue autocomplete in issu... New

Has duplicate Redmine - Feature #2954: Ability to filter out duplicate issues Closed 2009-03-11
Has duplicate Redmine - Feature #4985: Filter issues which are blocked Closed 2010-03-04
Has duplicate Redmine - Feature #2955: Filter for blocked issues Closed 2009-03-12
Has duplicate Redmine - Feature #7805: Filter issues by relation type Closed 2011-03-07
Has duplicate Redmine - Feature #4561: Allow filter to hide/show tasks which ... Closed 2010-01-13

Associated revisions

Revision 10513 - 2012-09-29 14:57 - Jean-Philippe Lang

Makes related issues available for display and filtering on the issue list (#3239, #3265).

Revision 10515 - 2012-09-29 15:03 - Jean-Philippe Lang
Filling locales (#3239, #3265).

Revision 10559 - 2012-10-04 20:10 - Jean-Philippe Lang

Adds no_issue_in_project operator for relations filter (#3265).

Revision 10560 - 2012-10-04 20:11 - Jean-Philippe Lang
Filling locales (#3265).

History

#1 - 2009-04-29 23:41 - Brad Beattie
- File prototype.patch added

Attached is a work in progress. Shouldn't too difficult to attach the necessary filters. The only concern | have is that when looking for blocking issues,
we want generally want open blocking issues. That's a fair number of subselect statements to get working. Could be unrealistically inefficient. :(

#2 - 2009-04-30 00:59 - Brad Beattie
- File prototype2.patch added

Second prototype. Doesn't allow the selection of how many just yet (currently hardcoded to 1 or more), but it's working.
#3 - 2009-04-30 01:52 - Brad Beattie
- File feedback.patch added

Okay, this seems to work and I'm happy with it. Could someone else take a look and provide feedback as necessary?

#4 - 2009-04-30 01:55 - Brad Beattie

Brad Beattie wrote:

Okay, this seems to work and I'm happy with it. Could someone else take a look and provide feedback as necessary?

Eep. Obviously the .project file wasn't meant to be included.

#5 - 2011-03-13 19:47 - Etienne Massip

- Category set to Issues

#6 - 2012-09-27 21:17 - Jean-Philippe Lang
- Assignee set to Jean-Philippe Lang

- Target version set to 2.2.0

#7 - 2012-10-29 12:03 - Daniel Felix

| tested the current implementation. Seems to work as expected. Maybe this one could be closed. :-)

#8 - 2012-10-29 12:53 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

#9 - 2016-02-23 12:31 - Toshi MARUYAMA
- Has duplicate Feature #4561: Allow filter to hide/show tasks which are blocked by other tasks added

#10 - 2019-12-03 15:10 - Go MAEDA
- Related to Defect #32546: Issue relations filter lacks "is not" added

#11 - 2020-04-25 10:18 - Mischa The Evil

- Related to Feature #33352: Enable inline issue autocomplete in issue id query filter fields added

Files

prototype.patch 2.17 KB 2009-04-29 Brad Beattie
prototype2.patch 4.26 KB 2009-04-29 Brad Beattie
feedback.patch 3.19 KB 2009-04-29 Brad Beattie
